Package com.independentsoft.office.word.sections

# Class PageBorders

java.lang.Object
com.independentsoft.office.word.sections.PageBorders

public class PageBorders extends Object
The Class PageBorders.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PageBorders()`
  Instantiates a new page borders.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PageBorders`
  `clone()`
  `BottomBorder`
  `getBottomBorder()`
  Gets the bottom border.
  `PageBorderDisplayType`
  `getDisplayType()`
  Gets the display type.
  `LeftBorder`
  `getLeftBorder()`
  Gets the left border.
  `PageBorderOffset`
  `getOffset()`
  Gets the offset.
  `RightBorder`
  `getRightBorder()`
  Gets the right border.
  `TopBorder`
  `getTopBorder()`
  Gets the top border.
  `PageBorderZOrder`
  `getZOrder()`
  Gets the z order.
  `void`
  `setBottomBorder​(BottomBorder bottomBorder)`
  Sets the bottom border.
  `void`
  `setDisplayType​(PageBorderDisplayType displayType)`
  Sets the display type.
  `void`
  `setLeftBorder​(LeftBorder leftBorder)`
  Sets the left border.
  `void`
  `setOffset​(PageBorderOffset offset)`
  Sets the offset.
  `void`
  `setRightBorder​(RightBorder rightBorder)`
  Sets the right border.
  `void`
  `setTopBorder​(TopBorder topBorder)`
  Sets the top border.
  `void`
  `setZOrder​(PageBorderZOrder zOrder)`
  Sets the z order.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PageBorders

    public PageBorders()
    Instantiates a new page borders.

- ## Method Details

  - ### clone

    public PageBorders clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getDisplayType

    public PageBorderDisplayType getDisplayType()
    Gets the display type.
    Returns:
      the display type

  - ### setDisplayType

    public void setDisplayType​(PageBorderDisplayType displayType)
    Sets the display type.
    Parameters:
      `displayType` - the new display type

  - ### getOffset

    public PageBorderOffset getOffset()
    Gets the offset.
    Returns:
      the offset

  - ### setOffset

    public void setOffset​(PageBorderOffset offset)
    Sets the offset.
    Parameters:
      `offset` - the new offset

  - ### getZOrder

    public PageBorderZOrder getZOrder()
    Gets the z order.
    Returns:
      the z order

  - ### setZOrder

    public void setZOrder​(PageBorderZOrder zOrder)
    Sets the z order.
    Parameters:
      `zOrder` - the new z order

  - ### getTopBorder

    public TopBorder getTopBorder()
    Gets the top border.
    Returns:
      the top border

  - ### setTopBorder

    public void setTopBorder​(TopBorder topBorder)
    Sets the top border.
    Parameters:
      `topBorder` - the new top border

  - ### getLeftBorder

    public LeftBorder getLeftBorder()
    Gets the left border.
    Returns:
      the left border

  - ### setLeftBorder

    public void setLeftBorder​(LeftBorder leftBorder)
    Sets the left border.
    Parameters:
      `leftBorder` - the new left border

  - ### getBottomBorder

    public BottomBorder getBottomBorder()
    Gets the bottom border.
    Returns:
      the bottom border

  - ### setBottomBorder

    public void setBottomBorder​(BottomBorder bottomBorder)
    Sets the bottom border.
    Parameters:
      `bottomBorder` - the new bottom border

  - ### getRightBorder

    public RightBorder getRightBorder()
    Gets the right border.
    Returns:
      the right border

  - ### setRightBorder

    public void setRightBorder​(RightBorder rightBorder)
    Sets the right border.
    Parameters:
      `rightBorder` - the new right border